package com.ss.android.ugc.aweme.servicimpl;

import X.9Y3;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.services.cutvideo.ISplitVideoService;

public final class SplitVideoServiceImpl implements ISplitVideoService {
    static {
        Covode.recordClassIndex(105507);
    }

    public final boolean showPlayList() {
        if (9Y3.LIZ(9Y3.LIZ(), true, "tiktok_playlist_status", 0) > 0) {
            return true;
        }
        return false;
    }

    public final boolean playListAutoTake() {
        if (9Y3.LIZ(9Y3.LIZ(), true, "tiktok_playlist_status", 0) == 2) {
            return true;
        }
        return false;
    }

    public static ISplitVideoService LIZ() {
        MethodCollector.i(4509);
        ISplitVideoService iSplitVideoService = (ISplitVideoService) Lnj.LIZ(ISplitVideoService.class, false);
        if (iSplitVideoService != null) {
            MethodCollector.o(4509);
            return iSplitVideoService;
        }
        Object LIZIZ = Lnj.LIZIZ(ISplitVideoService.class, false);
        if (LIZIZ != null) {
            ISplitVideoService iSplitVideoService2 = (ISplitVideoService) LIZIZ;
            MethodCollector.o(4509);
            return iSplitVideoService2;
        }
        if (Lnj.aL == null) {
            synchronized (ISplitVideoService.class) {
                try {
                    if (Lnj.aL == null) {
                        Lnj.aL = new SplitVideoServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(4509);
                    throw th;
                }
            }
        }
        SplitVideoServiceImpl splitVideoServiceImpl = (SplitVideoServiceImpl) Lnj.aL;
        MethodCollector.o(4509);
        return splitVideoServiceImpl;
    }
}
